Name:          perl-Digest-HMAC
Version:       1.05
Release:       1mamba
Summary:       Digest::HMAC - Keyed-Hashing for Message Authentication
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Digest/Digest-HMAC-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
HMAC is used for message integrity checks between two parties that share a secret key, and works in combination with some other Digest algorithm, usually  
MD5 or SHA-1.
The HMAC mechanism is described in RFC 2104.
HMAC follow the common Digest:: interface, but the constructor takes the secret  key and the name of some other simple Digest:: as argument.

%prep
%setup -q -n Digest-HMAC-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Fri Oct 18 2024 Automatic Build System <autodist@openmamba.org> 1.05-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 1.04-2mamba
- rebuilt with perl 5.36.0

* Fri Apr 02 2021 Automatic Build System <autodist@mambasoft.it> 1.04-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.03-2mamba
- perl 5.16 mass rebuild

* Fri Jul 29 2011 Automatic Build System <autodist@mambasoft.it> 1.03-1mamba
- automatic update by autodist

* Thu Oct 21 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.02-2mamba
- rebuild with INSTALLDIRS=vendor

* Tue Jan 12 2010 Automatic Build System <autodist@mambasoft.it> 1.02-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.01-5mamba
- automatic rebuild by autodist

* Mon Jun 23 2008 Tiziana Ferro <tiziana.ferro@email.it> 1.01-4mamba
- update Vendor, Distribution, mantainer, buildrequirements list

* Wed May 10 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.01-3qilnx
- rebuilt

* Tue Jan 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.01-2qilnx
- fix for perl requirements (>= instead of =)

* Tue Feb 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.01-1qilnx
- First build
